tcmodinfo(1)

NAME
tcmodinfo - Get and Set information in filter modules

SYNOPSIS
tcmodinfo [ -i name ] [ -m path ] [ -s socket ] [ -p ] [ -v ]

COPYRIGHT
tcmodinfo is Copyright (C) by Tilmann Bitterberg

DESCRIPTION
tcmodinfo Loads a supplied transcode(1) filtermodule and prints its parameters. It can also connect to transcode through a socket to do runtime configuration of transcode and its filters.

OPTIONS

-i name
    Specify the name of the filter. Name is specified without the prefix filter_ and without the suffix .so So if you want information about filter_smooth.so, just supply smooth

-m Path
    Look in Path instead of the compiled-in module path for a module.

-s socket
    Connect to socket socket. You can use this socket to do runtime configuration of transcode. For all the boring details about the socket protocol have a look at /docs/filter-socket.txt. transcode has to be started with the --socket option to open the socket.

-p  Print the compiled-in module path and exit.

-v  Print version information and exit.

EXAMPLES
The command

tcmodinfo -i smooth

prints information about the smooth filter.

transcode --socket /tmp/tc-socket &
echo help | tcmodinfo -s /tmp/tc-socket

prints the socket help text and exits.

tcmodinfo -s /tmp/tc-socket

Will drop you into an interactive "shell" where you can talk to the socket.

AUTHORS
tcmodinfo was written by Tilmann Bitterberg
<transcode@tibit.org> with contributions from many others. See AUTHORS for details.

SEE ALSO
avimerge(1), avisplit(1), tccat(1), tcdecode(1), tcdemux(1), tcextract(1), tcprobe(1), tcscan(1), transcode(1)